Skip to end of metadata
Go to start of metadata

I'm getting the following error in Builder 3.3.4 when I choose edit or choose layout from inside a space. The error does not occur when I choose the layout manager from Site Administration. But then I can't use that to assign a layout to a space.

[confluence.util.velocity.VelocityUtils] getRenderedTemplate Error occurred rendering template: templates/builder/theme/main.vmd
 -- url: /builder/manage-layouts.action | userName: StuartG | referer: http://woki/display/bp/Board+Papers
org.apache.velocity.exception.MethodInvocationException: Invocation of method 'preRender' in  class com.adaptavist.confluence.builder.BuilderVelocityHelper threw exception java.lang.ClassCastException: com.adaptavist.confluence.builder.layouts.model.Layout cannot be cast to com.adaptavist.confluence.builder.layouts.model.Layout @ templates/builder/theme/main.vmd[28,16]
  • No labels

5 Comments

  1. Unknown User (stuartg.orion)

    Sorry I meant to add. Does anyone have any ideas what would cause this?

    Thanks

    Stuart

  2. This is most often caused by code in one of your panels not liking being rendered out of context ... try switching to the default layout by appending ?layout=DEFAULT (or &layout=DEFAULT if the URL already contains a ?) and see if the problem continues to happen.

  3. Unknown User (o.palomino@cgiar.org)

    Hello,

    We use Adaptavist Theme Builder in all Confluence and we had a problem with it.
    When I try display any page, Confluence sends the following message:

    Error occurred during template rendering: Invocation of method 'preRender' in class com.adaptavist.confluence.builder.BuilderVelocityHelper threw exception java.lang.NullPointerException at templates/builder/theme/main.vmdline 22, column 16. Contact your administrator for assistance.

    After this message, I restarted Confluence and Confluence worked well but the top menus were not displayed.

    The solution was to delete the following files:

    • plugins-temp
    • plugin-cache

    And restart Tomcat.

    Any idea?

    Best regards,

    Omar

    1. Upgrade to builder 4.0.2 ... 3.3.4 was released almost a year ago!

      1. Unknown User (o.palomino@cgiar.org)

        Dear Alain,

        The problem is presented in the builder version 4.0.0-RC1 and my confluence version is 3.1. I need upgrade to builder 4.0.2...?

        Regards,

        Omar